'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var React = require('react');
var coreComponentsMq = require('@alfalab/core-components-mq/cssm');
var desktop_Component_desktop = require('./desktop/Component.desktop.js');
var mobile_Component_mobile = require('./mobile/Component.mobile.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefaultCompat(React);

/**
 * @deprecated
 * Использует PatternLock
 */
var PatternLockV1 = React.forwardRef(function (_a, ref) {
    var _b = _a.breakpoint, breakpoint = _b === void 0 ? 1024 : _b, restProps = tslib.__rest(_a, ["breakpoint"]);
    var query = "(min-width: ".concat(breakpoint, "px)");
    var isDesktop = coreComponentsMq.useMatchMedia(query)[0];
    var Component = isDesktop ? desktop_Component_desktop.PatternLockDesktopV1 : mobile_Component_mobile.PatternLockMobileV1;
    return React__default.default.createElement(Component, tslib.__assign({ ref: ref }, restProps));
});

exports.PatternLockV1 = PatternLockV1;
