import { useMemo } from 'react';

const usePatternLockCleanup = (patternLockRef) => {
    const clear = useMemo(() => {
        if (patternLockRef.current) {
            patternLockRef.current.setInitialState();
        }
    }, [patternLockRef]);
    return {
        clear,
    };
};

export { usePatternLockCleanup };
